VIMTUTOR(1)

NOME
vimtutor - Un breve corso introduttivo a Vim

SINTASSI
vimtutor [-l | --language ISO639] [-c | --chapter NUMERO] [-g | --gui] [ISO639]
vimtutor [-h | --help]
vimtutor [--list]

DESCRIZIONE
Vimtutor inizia il Vim tutor (un breve corso introduttivo a Vim).

Il comando Vimtutor è utile a chi voglia imparare i primi comandi di Vim. L'argomento opzionale [language] specifica l'abbreviazione di due lettere del nome di una lingua, per esempio "it" oppure "es".

Vimtutor utilizza delle copie dei file originali, non c'è pericolo di danneggiare i file stessi.

Vim è sempre iniziato in Modo compatibile con Vi.

OPZIONI

-l, --language=ISO639
    Imposta il codice di due o tre lettere che designa la lingua. P.es., 'it', 'es', 'bar'. Il default è il linguaggio locale, se una traduzione è disponibile, altrimenti viene utilizzato il testo originale in inglese.

-c, --chapter=NUMBER
    Imposta il numero del capitolo. Il default è il capitolo uno.

-g, --gui
    Inizia vimtutor nella versione GUI di vim, se disponibile, altrimenti viene usata la versione console.

-h, --help
    Visualizza le informazioni relative all'uso del comando.

--list
    Visualizza capitoli e lingue disponibili.

ESEMPI
Per iniziare vimtutor in tedesco, dal capitolo uno:

    vimtutor de

In inglese, dal capitolo due:

    vimtutor -c2

Comandi nel formato esteso per usare il linguaggio bavarese, nella GUI, dal capitolo uno:

    vimtutor --language bar --chapter 1 --gui

FILE

@@HOMEBREW_CELLAR@@/vim/9.1.0900/share/vim/vim??/tutor/tutor[.lingua]
    I file di testo per il capitolo uno di Vimtutor

/usr/local/share/vim/vim??/tutor/tutor2[.lingua]
    I file di testo per il capitolo due di Vimtutor.

/usr/local/share/vim/vim??/tutor/tutor.vim
    Lo script di Vim usato per copiare il file di testo Vimtutor.

AUTORE
Il corso introduttivo Vimtutor è stato scritto in origine per Vi da Michael C. Pierce e Robert K. Ware, Colorado School of Mines, usando idee fornite da Charles Smith, Colorado State University. E-mail: bware@mines.colorado.edu (non più valido).

Vimtutor è stato modificato per Vim da Bram Moolenaar.

Per i nomi dei traduttori, vedere i file nelle rispettive lingue.

VEDERE ANCHE
vim(1)